View Issue Details

IDProjectCategoryView StatusLast Update
0001669NoesisGUIUnity3Dpublic2021-12-10 03:23
Reportertkaczz Assigned Tojsantos  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version2.2.6 
Target Version3.1.2Fixed in Version3.1.2 
Summary0001669: Can't use NoesisView with Unity 2019.3.x + URP's Post Processing
DescriptionVery precisely described in forum post
https://www.noesisengine.com/forums/viewtopic.php?f=3&t=1950
Steps To Reproduce1. Create URP project
2. Create and save even very basic xaml file like this
<Grid
    xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
    xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">
  <Border Background="Red" />
</Grid>
3. Add NoesisView component to first base camera
3.1 Set NoesisView Xaml to use that Xaml
4. Create PostProcessing asset
4.1 Add for example vignette effect
5. Add Volume component and set to use previously created PostProcessing asset
6. Be sure that NoesisView and Volume are On
7. Play scene
8. Post processing is not working with NoesisView

Expected behaviour
PostProcessing should be displayed over NoesisView content by default
TagsUnity, Unity LWRP, Unity SRP
PlatformAny

Activities

tkaczz

tkaczz

2020-04-25 16:17

reporter   ~0006275

Last edited: 2020-04-25 16:17

Now this is even more interesting...
Used xaml
<Grid
    xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
    xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">
  <StackPanel VerticalAlignment="Center" HorizontalAlignment="Center">
    <Button Width="150" Height="150" Content="Sample button 1" Background="Red" />
    <Button Width="150" Height="150" Content="Sample button 2" Background="Green" />
  </StackPanel>
</Grid>

buttons-noesis.png (265,827 bytes)
jsantos

jsantos

2020-04-27 12:11

manager   ~0006277

I didn't have time to investigate this. Will do it soon.

Could you elaborate about what you mean with "interesting" ?

Thanks for your feedback!
tkaczz

tkaczz

2020-04-27 12:51

reporter   ~0006280

Last edited: 2020-04-27 12:52

Post processing is working with xaml, but not when any image is being rendered or anything on full screen?

jsantos

jsantos

2021-12-10 03:23

manager   ~0007666

We fixed this. I am attaching a preview of the documentation.
URP_CameraStacking.jpg (95,740 bytes)   
URP_CameraStacking.jpg (95,740 bytes)   

Issue History

Date Modified Username Field Change
2020-04-25 15:52 tkaczz New Issue
2020-04-25 15:52 tkaczz Tag Attached: Unity
2020-04-25 15:52 tkaczz Tag Attached: Unity LWRP
2020-04-25 15:52 tkaczz Tag Attached: Unity SRP
2020-04-25 15:56 tkaczz Severity major => minor
2020-04-25 16:17 tkaczz File Added: buttons-noesis.png
2020-04-25 16:17 tkaczz Note Added: 0006275
2020-04-25 16:17 tkaczz Note Edited: 0006275
2020-04-25 16:27 tkaczz Summary Can't use NoesisView with Unity 2019.3.9f1+ URP's Post Processing => Can't use NoesisView with Unity 2019.3.x+ URP's Post Processing
2020-04-25 16:27 tkaczz Summary Can't use NoesisView with Unity 2019.3.x+ URP's Post Processing => Can't use NoesisView with Unity 2019.3.x + URP's Post Processing
2020-04-27 12:11 jsantos Note Added: 0006277
2020-04-27 12:11 jsantos Assigned To => jsantos
2020-04-27 12:11 jsantos Status new => feedback
2020-04-27 12:12 jsantos Target Version => 3.0.0
2020-04-27 12:51 tkaczz Note Added: 0006280
2020-04-27 12:51 tkaczz Status feedback => assigned
2020-04-27 12:52 tkaczz Note Edited: 0006280
2020-05-25 10:56 jsantos Target Version 3.0.0 => 3.0
2021-12-10 02:51 jsantos Target Version 3.0 => 3.1.2
2021-12-10 03:23 jsantos File Added: URP_CameraStacking.jpg
2021-12-10 03:23 jsantos Note Added: 0007666
2021-12-10 03:23 jsantos Status assigned => resolved
2021-12-10 03:23 jsantos Resolution open => fixed
2021-12-10 03:23 jsantos Fixed in Version => 3.1.2